Commit 2c1c9e35 authored by Adrian Hunter's avatar Adrian Hunter Committed by Arnaldo Carvalho de Melo

perf test: test_intel_pt.sh: Add more output in preparation for more tests

When there are more tests it won't be obvious which test failed. Add more
output so that it is.
Signed-off-by: default avatarAdrian Hunter <adrian.hunter@intel.com>
Acked-by: default avatarNamhyung Kim <namhyung@kernel.org>
Cc: Ian Rogers <irogers@google.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Link: https://lore.kernel.org/r/20220912083412.7058-10-adrian.hunter@intel.comSigned-off-by: default avatarArnaldo Carvalho de Melo <acme@redhat.com>
parent fd9b45e3
......@@ -37,12 +37,19 @@ trap trap_cleanup EXIT TERM INT
can_cpu_wide()
{
perf record -o "${tmpfile}" -B -N --no-bpf-event -e dummy:u -C "$1" true >/dev/null 2>&1 || return 2
echo "Checking for CPU-wide recording on CPU $1"
if ! perf record -o "${tmpfile}" -B -N --no-bpf-event -e dummy:u -C "$1" true >/dev/null 2>&1 ; then
echo "No so skipping"
return 2
fi
echo OK
return 0
}
test_system_wide_side_band()
{
echo "--- Test system-wide sideband ---"
# Need CPU 0 and CPU 1
can_cpu_wide 0 || return $?
can_cpu_wide 1 || return $?
......@@ -54,6 +61,7 @@ test_system_wide_side_band()
mmap_cnt=$(perf script -i "${perfdatafile}" --no-itrace --show-mmap-events -C 1 2>/dev/null | grep -c MMAP)
if [ "${mmap_cnt}" -gt 0 ] ; then
echo OK
return 0
fi
......@@ -80,6 +88,8 @@ test_system_wide_side_band || ret=$? ; count_result $ret
cleanup
echo "--- Done ---"
if [ ${err_cnt} -gt 0 ] ; then
exit 1
fi
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment